{
  "schema_version": "1.4.0",
  "id": "GHSA-xgwj-qm2p-hcpc",
  "modified": "2022-05-01T23:54:57Z",
  "published": "2022-05-01T23:54:57Z",
  "aliases": [
    "CVE-2008-2927"
  ],
  "details": "Multiple integer overflows in the msn_slplink_process_msg functions in the MSN protocol handler in (1) libpurple/protocols/msn/slplink.c and (2) libpurple/protocols/msnp9/slplink.c in Pidgin before 2.4.3 and Adium before 1.3 allow remote attackers to execute arbitrary code via a malformed SLP message with a crafted offset value, a different vulnerability than CVE-2008-2955.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-2927"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2008:0584"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2008-2927"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=453764"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/44774"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-2647"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11695"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A17972"
    },
    {
      "type": "WEB",
      "url": "http://developer.pidgin.im/viewmtn/revision/diff/6eb1949a96fa80a4c744fc749c2562abc4cc9ed6/with/c3831c9181f4f61b747321240086ee79e4a08fd8/libpurple/protocols/msn/slplink.c"
    },
    {
      "type": "WEB",
      "url": "http://developer.pidgin.im/viewmtn/revision/diff/6eb1949a96fa80a4c744fc749c2562abc4cc9ed6/with/c3831c9181f4f61b747321240086ee79e4a08fd8/libpurple/protocols/msnp9/slplink.c"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30971"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31016"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31105"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31387"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31642"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32859"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32861"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0246"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1610"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:143"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:127"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2008/07/03/6"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2008/07/04/1"
    },
    {
      "type": "WEB",
      "url": "http://www.pidgin.im/news/security/?id=25"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0584.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/493682"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/495165/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/495818/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29956"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1020451"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-675-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-675-2"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/2032/references"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-08-054"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-07-07T23:41:00Z"
  }
}